#ifndef _CONFIG_CCSDS_H_
#define _CONFIG_CCSDS_H_

#define configTET1


#if defined configTET1 // real satellite

#define configSP_MAX_DATA_SIZE     496
#define configTC_TF_MAX_SIZE       508  // TF without SYNC; maximum as defined in CCSDS 232.0-B-3 is 1024
#define configTM_TF_TOTAL_SIZE     508  // TF without SYNC
#define configTF_USE_OCF             1
#define configTF_USE_FECF            1
#define configTC_TF_PRIM_HEADER_SIZE 6  // standard is 5
#define configTMTC_MAX_SCIDS         2
#define configFARM_SLIDING_WINDOW_WIDTH 16   // FrameSeqNumber window for AD mode, see 232.1-b-2

#ifndef configUSE_CLTU_SUPPORT
#  define configUSE_CLTU_SUPPORT       0
#endif
#define configCLTU_MAX_SIZE        594   // (2+(((configTC_TF_MAX_SIZE+6)/7)*8+8)


#elif defined configARDUINO  // memory saving version

#define configSP_MAX_DATA_SIZE      32
#define configTC_TF_MAX_SIZE        44  // TF without SYNC; maximum as defined in CCSDS 232.0-B-3 is 1024
#define configTM_TF_TOTAL_SIZE      44  // TF without SYNC
#define configTF_USE_OCF             1
#define configTF_USE_FECF            1
#define configTC_TF_PRIM_HEADER_SIZE 6  // standard is 5, but to be compatible to TET-1 this is set to 6
#define configTMTC_MAX_SCIDS         2
#define configFARM_SLIDING_WINDOW_WIDTH 16    // FrameSeqNumber window for AD mode, see 232.1-b-2

#ifndef configUSE_CLTU_SUPPORT
#  define configUSE_CLTU_SUPPORT       1
#endif
#define configCLTU_MAX_SIZE         66    // (2+(((configTC_TF_MAX_SIZE+6)/7)*8+8)


#endif


#endif // _CONFIG_CCSDS_H_
